### Class

# Gtk LayoutChild

#### Description [src]

    abstract class Gtk.LayoutChild : GObject.Object
    {
      /* No available fields */
    }

The base class for objects that are meant to hold layout properties.

If a `GtkLayoutManager` has per-child properties, like their packing type, or the horizontal and vertical span, or the icon name, then the layout manager should use a `GtkLayoutChild` implementation to store those properties.

A `GtkLayoutChild` instance is only ever valid while a widget is part of a layout.

#### Ancestors

- GObject

#### Descendants

- GtkConstraintLayoutChild
- GtkFixedLayoutChild
- GtkGridLayoutChild
- GtkOverlayLayoutChild

#### Instance methods

###### gtk_layout_child_get_child_widget

Retrieves the `GtkWidget` associated to the given `layout_child`.

###### gtk_layout_child_get_layout_manager

Retrieves the `GtkLayoutManager` instance that created the given `layout_child`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.LayoutChild:child-widget

The widget that is associated to the `GtkLayoutChild` instance.

###### Gtk.LayoutChild:layout-manager

The layout manager that created the `GtkLayoutChild` instance.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkLayoutChildClass {
      /* no available fields */
    }

No description available.